# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'cybercoach/version'

Gem::Specification.new do |spec|
  spec.name = 'cybercoach'
  spec.version = CyberCoach::VERSION
  spec.authors = ['Manuel Leuenberger']
  spec.email = ['manuel.leu@students.unibe.ch']
  spec.summary = 'CyberCoach proxy'
  spec.description = 'Wraps the CyberCoach resources and their CRUD methods.'
  spec.homepage = 'https://github.com/New-York-Falcons/cybercoach'
  spec.license = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.required_ruby_version = '>= 2.0'

  spec.add_runtime_dependency 'httparty', '~> 0.13'

  spec.add_development_dependency 'bundler', '~> 1.7'
  spec.add_development_dependency 'rake', '~> 10.0'
end
