require 'bundler/setup'
Bundler.setup

require 'simplecov'
SimpleCov.start do
  add_group 'lib' do |file|
    file.filename.start_with? "#{Dir.pwd}/lib"
  end
  add_group 'spec' do |file|
    file.filename.start_with? "#{Dir.pwd}/spec"
  end
end

require 'pry'
require 'cybercoach'
require 'lib/cybercoach_helper'

RSpec.configure do |config|
end
